Query Item Image Data
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/imagedata/{imageId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/imagedata/{imageId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/imagedata/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"aSDinaTvuI8gbWludGxpZnk="{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Item
Query Item Image Data
Query the data for a specific item image
GET
/
v1
/
items
/
imagedata
/
{imageId}
Query Item Image Data
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the image.
Response
The requested item data.
The response is of type string<byte>.
Was this page helpful?
⌘I